require 'fortytwo/responses/base'
require 'fortytwo/responses/models/project'

module FortyTwo
  module Response
    module Model
      class ProjectUser < Response::Base
        attr_reader :id, :occurence, :final_mark, :status, :validated,
                    :current_team_id, :project, :cursus_ids

        def initialize(json)
          super(json)

          @project = parse(@project, Project)
        end
      end
    end
  end
end
