require 'fortytwo/responses/base'
require 'fortytwo/responses/models/user_session'

module FortyTwo
  module Response
    class UserSessions < Base
      attr_reader :user_sessions

      def initialize(json)
        super(json)

        @user_sessions = parse(@user_sessions, Model::UserSession)
      end
    end
  end
end
