require 'fortytwo/responses/base'
require 'fortytwo/responses/models/language'

module FortyTwo
  module Response
    module Model
      class Campus < Response::Base
        attr_reader :id, :name, :time_zone, :language, :user_count, :vogsphere_id

        def initialize(json)
          super(json)

          @language = parse(@language, Language)
        end
      end
    end
  end
end
