require 'fortytwo/responses/base'
require 'fortytwo/responses/models/skill'
require 'fortytwo/responses/models/cursus'


module FortyTwo
  module Response
    module Model
      class CursusUser < Response::Base
        attr_reader :id, :begin_at, :end_at, :grade, :level, :skills,
                    :cursus_id, :cursus

        def initialize(json)
          super(json)

          @skills = parse(@skills, Skill)
          @cursus = parse(@cursus, Cursus)
        end
      end
    end
  end
end
